<?php
/**
 * @package pre und code tags erziehen
 * @version 0.1
 */
/*
 * Plugin Name: Code und Pre Tags erziehen
 * Description: Zwingt code und pre Tags zur Darstellung von html, anstatt es auszuführen
 * Author: Lily
 * Version: 0.1
 * Author URI: https://www.flauschemiez.de
 */

/*************************
 ** Keine Direktaufrufe **
 *************************/

defined('ABSPATH') or die('Nope!');

if (!defined('WPINC')) {
	die ;
}

if (!function_exists('add_action')) {
	header('Status: 403 Forbidden');
	header('HTTP/1.1 403 Forbidden');
	exit();
}

/***********
** Define **
 ***********/

define('SDATF__PLUGIN_DIR', plugin_dir_path(__FILE__));

/*************************
 ** Erziehungsmaßnahmen **
 *************************/

/*code tag erziehen damit es html anzeigt und nicht ausführt*/
add_filter( 'the_content', 'code_content_filter', 0 );

function code_content_filter( $content ) {
	return preg_replace_callback( '|<code.*>(.*)</code|isU' , 'convert_pre_entities', $content );
}

function convert_code_entities( $matches ) {
	return str_replace( $matches[1], htmlentities( $matches[1] ), $matches[0] );
}
/*pre tag erziehen damit es html anzeigt und nicht ausführt*/
add_filter( 'the_content', 'pre_content_filter', 0 );
function pre_content_filter( $content ) {
	return preg_replace_callback( '|<pre.*>(.*)</pre|isU' , 'convert_pre_entities', $content );
}
function convert_pre_entities( $matches ) {
	return str_replace( $matches[1], htmlentities( $matches[1] ), $matches[0] );
}
